import es
import gamethread
flashed = set()

info = es.AddonInfo()
info.name = 'Hitmarker'
info.version = '1'
info.basename = 'hitmarker'
info.author = 'h!gh voltage'
info.description = 'Shows a hitmarker when you hit an enemy.'
es.ServerVar('hitmarker_version', info.version).makepublic()

def player_activate(ev):
    es.stringtable('downloadables','materials/overlays/hitmarker/hitmarkerv2.vtf')
    es.stringtable('downloadables','materials/overlays/hitmarker/hitmarkerv2.vmt')

def player_hurt(ev):
    es.cexec(ev['attacker'],"r_screenoverlay overlays/hitmarker/hitmarkerv2")
    gamethread.delayed(0.5, es.cexec, (ev['attacker'],"r_screenoverlay","0"))

def player_blind(ev):
    flashed.add(ev['es_username'])

def flashbang_detonate(ev):
    flasher = ev['userid']
    if not flashed:
        return
    else:
        es.cexec(flasher,"r_screenoverlay overlays/hitmarker/hitmarkerv2")
        gamethread.delayed(0.8, es.cexec, (flasher,"r_screenoverlay","0"))
        flashed.clear()